extends ../layout

block scripts
    script(src='/css/demo/default/custom/crud/forms/widgets/select2.js' type='text/javascript')

block content
    .m-grid__item.m-grid__item--fluid.m-wrapper
        // BEGIN: Subheader
        .m-subheader
            .d-flex.align-items-center
                .mr-auto
                    h3.m-subheader__title.m-subheader__title--separator New administrator
                    ul.m-subheader__breadcrumbs.m-nav.m-nav--inline
                        li.m-nav__item.m-nav__item--home
                            a.m-nav__link.m-nav__link--icon(href='/dashboard')
                                i.m-nav__link-icon.la.la-home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/')
                                span.m-nav__link-text Home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/administration')
                                span.m-nav__link-text Administration
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/admin/new')
                                span.m-nav__link-text New Administrator
        // END: Subheader
        .m-content
            .row
                .col-md-9.offset-md-2
                    // begin::Portlet
                    .m-portlet
                        .m-portlet__head
                            .m-portlet__head-caption
                                .m-portlet__head-title
                                    span.m-portlet__head-icon.m--hide
                                        i.la.la-gear
                                    h3.m-portlet__head-text
                                        | Administrator Details
                        // begin::Form
                        form(action='/admin/new' method='POST').m-form
                            .m-portlet__body
                                .form-group.m-form__group.row
                                    h3.m-form__section Personal details:
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminName') Full name
                                    .col-12
                                        input#adminName.form-control.m-input(type='text' name='adminName' placeholder='Enter full name' value=user.name)
                                        input(type='hidden', name='_csrf', value=_csrf)
                                        input(type='hidden', name='email', value=user.email)
                                        span.m-form__help Please enter your full name here.
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminEmail') Email
                                    .col-12
                                        input#adminEmail.form-control.m-input(type='text' name='adminEmail' placeholder='Enter email')
                                        span.m-form__help Please enter your email. NOTE: Email must be valid.
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminPassword') Password
                                    .col-12
                                        input#adminPassword.form-control.m-input(type='password' name='adminPassword' placeholder='Enter password')
                                        span.m-form__help Please enter your password.
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminOccupation') Occupation
                                    .col-12
                                        input#adminOccupation.form-control.m-input(type='text' name='adminOccupation' placeholder='Enter occupation' value=user.occupation)
                                        span.m-form__help Please enter your occupation.
                                    .form-group.m-form__group
                                    label.col-12.col-form-label Gender
                                    .col-12
                                        .m-radio-list
                                            label.m-radio
                                                input(type='radio' name='adminGender' value='Male' checked='checked')
                                                |  Male
                                                span
                                            label.m-radio
                                                input(type='radio' name='adminGender' value='Female')
                                                |  Female
                                                span
                                            label.m-radio
                                                input(type='radio' name='adminGender' value='Other')
                                                |  Other
                                                span
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminPhoneNumber') Contact:
                                    .col-12
                                        .m-input-icon.m-input-icon--left
                                            input#adminPhoneNumber.form-control.m-input(type='text' name='adminPhoneNumber' placeholder='Phone number')
                                            span.m-input-icon__icon.m-input-icon__icon--left
                                                span
                                                    i.la.la-bell
                                        span.m-form__help Please provide phone number in numeric format.
                                .m-form__seperator.m-form__seperator--dashed
                                .form-group.m-form__group.row
                                    h3.m-form__section 2. Address:
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminAddress') Address
                                    .col-12
                                        input#adminAddress.form-control.m-input(type='text' name='adminAddress' placeholder='Enter address')
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminCity') City
                                    .col-12
                                        input#adminCity.form-control.m-input(type='text' name='adminCity' placeholder='Enter city')
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminState') State
                                    .col-12
                                        input#adminState.form-control.m-input(type='text' name='adminState' placeholder='Enter state')
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminCountry') Country
                                    .col-12
                                        input#adminCountry.form-control.m-input(type='text' name='adminCountry' placeholder='Enter country')
                                    .form-group.m-form__group
                                    label.col-12.col-form-label(for='adminPostcode') Postcode
                                    .col-12
                                        input#adminPostcode.form-control.m-input(type='text' name='adminPostcode' placeholder='Enter postcode')
                                .m-form__seperator.m-form__seperator--dashed
                                //.form-group.m-form__group.row
                                //    h3.m-form__section 3. Social links:
                                //    .form-group.m-form__group
                                //    label.col-12.col-form-label(for='adminLindkedin') Lindkedin
                                //    .col-12
                                //        input#adminLindkedin.form-control.m-input(type='text' name='adminLindkedin' placeholder='Enter linkedin profile')
                                //    .form-group.m-form__group
                                //    label.col-12.col-form-label(for='adminFacebook') Facebook
                                //    .col-12
                                //        input#adminFacebook.form-control.m-input(type='text' name='adminFacebook' placeholder='Enter facebook profile')
                                //    label.col-12.col-form-label(for='adminTwitter') Twitter
                                //    .col-12
                                //        input#adminTwitter.form-control.m-input(type='text' name='adminTwitter' placeholder='Enter twitter profile')
                                //    label.col-12.col-form-label(for='adminInstagram') Instagram
                                //    .col-12
                                //        input#adminInstagram.form-control.m-input(type='text' name='adminInstagram' placeholder='Enter instagram profile')
                                //    label.col-12.col-form-label(for='adminGoogle') Google
                                //    .col-12
                                //        input#adminGoogle.form-control.m-input(type='text' name='adminGoogle' placeholder='Enter google profile')
                                //    label.col-12.col-form-label(for='adminGithub') Github
                                //    .col-12
                                //        input#adminGithub.form-control.m-input(type='text' name='adminGithub' placeholder='Enter github profile')
                                //    label.col-12.col-form-label(for='adminSteam') Steam
                                //    .col-12
                                //        input#adminSteam.form-control.m-input(type='text' name='adminSteam' placeholder='Enter steam profile')
                            .m-portlet__foot.m-portlet__foot--fit
                                .m-form__actions
                                    .row
                                        .col-6.m-auto
                                            button.btn.btn-accent.m-btn.m-btn--air.m-btn--custom(type='submit') Save changes
                                            button.btn.btn-secondary.m-btn.m-btn--air.m-btn--custom(type='reset') Cancel
                        // end::Form
                    // end::Portlet
